# backend2

![Version: 0.1.3](https://img.shields.io/badge/Version-0.1.3-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square)

Helm chart for deploying backend2

## Source Code

* <https://gitlab.com/pleio/helm-charts/backend2-charts>

## Requirements

| Repository | Name | Version |
|------------|------|---------|
| https://charts.bitnami.com/bitnami | elasticsearch | 21.4.7 |
| https://charts.bitnami.com/bitnami | redis | 20.9.0 |

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| accountApi | object | `{}` |  |
| accountDomain | string | `""` |  |
| admin.livenessProbe.failureThreshold | int | `2` |  |
| admin.livenessProbe.initialDelaySeconds | int | `60` |  |
| admin.livenessProbe.periodSeconds | int | `10` |  |
| admin.livenessProbe.successThreshold | int | `1` |  |
| admin.livenessProbe.timeoutSeconds | int | `1` |  |
| admin.replicaCount | int | `1` |  |
| admin.resources | object | `{}` |  |
| admin.tunnelConfig | object | `{}` |  |
| adminDomain | string | `nil` |  |
| api.livenessProbe.failureThreshold | int | `6` |  |
| api.livenessProbe.initialDelaySeconds | int | `60` |  |
| api.livenessProbe.periodSeconds | int | `10` |  |
| api.livenessProbe.successThreshold | int | `1` |  |
| api.livenessProbe.timeoutSeconds | int | `1` |  |
| api.readinessProbe.failureThreshold | int | `6` |  |
| api.readinessProbe.periodSeconds | int | `10` |  |
| api.readinessProbe.successThreshold | int | `1` |  |
| api.readinessProbe.successThreshold | int | `1` |  |
| api.readinessProbe.timeoutSeconds | int | `30` |  |
| api.replicaCount | int | `1` |  |
| api.resources | object | `{}` |  |
| background.scheduler.resources | object | `{}` |  |
| background.worker.replicaCount | int | `1` |  |
| background.worker.resources | object | `{}` |  |
| background.workerControl.numThreads | int | `4` |  |
| background.workerControl.replicaCount | int | `0` |  |
| background.workerControl.resources | object | `{}` |  |
| bouncer | object | `{}` |  |
| cache | object | `{}` |  |
| celery.brokerUrl | string | `""` |  |
| celery.controlQueue | string | `"False"` |  |
| celery.maxTasksPerChild | int | `1000` |  |
| celery.resultBackend | string | `""` |  |
| clamav.host | string | `""` |  |
| clamav.scanCycleDays | int | `120` |  |
| cleanup.maxFileAge | int | `2` |  |
| cleanup.schedule | string | `"0 2 * * *"` |  |
| collab.backend | string | `nil` |  |
| collab.port | int | `4000` |  |
| control3.url | string | `nil` |  |
| cspReportOnly | string | `"True"` |  |
| db.host | string | `""` |  |
| db.name | string | `""` |  |
| db.password | string | `""` |  |
| db.user | string | `""` |  |
| dbReplica | object | `{}` |  |
| debug | string | `"False"` |  |
| deepl.token | string | `""` |  |
| deepl.url | string | `"https://api.deepl.com/v2/translate"` |  |
| defaultSiteStorage | string | `"file_storage"` |  |
| djangoLogLevel | string | `"WARNING"` |  |
| elasticsearch.coordinating.replicaCount | int | `0` |  |
| elasticsearch.data.networkPolicy.enabled | bool | `false` |  |
| elasticsearch.data.pdb.create | bool | `false` |  |
| elasticsearch.data.persistence.enabled | bool | `false` |  |
| elasticsearch.data.replicaCount | int | `0` |  |
| elasticsearch.enabled | bool | `true` |  |
| elasticsearch.ingest.enabled | bool | `false` |  |
| elasticsearch.ingest.replicaCount | int | `0` |  |
| elasticsearch.master.heapSize | string | `"256m"` |  |
| elasticsearch.master.masterOnly | bool | `false` |  |
| elasticsearch.master.networkPolicy.enabled | bool | `false` |  |
| elasticsearch.master.pdb.create | bool | `false` |  |
| elasticsearch.master.persistence.enabled | bool | `false` |  |
| elasticsearch.master.persistence.storageClass | string | `"cinder-csi"` |  |
| elasticsearch.master.replicaCount | int | `1` |  |
| elasticsearch.master.resources.limits.cpu | string | `"4000m"` |  |
| elasticsearch.master.resources.limits.memory | string | `"4096Mi"` |  |
| elasticsearch.master.serviceAccount.create | bool | `false` |  |
| elasticsearch.security.enabled | bool | `true` |  |
| elasticsearch.security.existingSecret | string | `"elasticsearch"` |  |
| elasticsearch.security.tls.autoGenerated | bool | `true` |  |
| elasticsearch.security.tls.restEncryption | bool | `false` |  |
| elasticsearch.volumePermissions.enabled | bool | `true` |  |
| elasticsearch_host | string | `""` |  |
| email.host | string | `""` |  |
| email.port | string | `""` |  |
| enableSpread | bool | `false` |  |
| env | string | `"test"` |  |
| existingSecret | string | `nil` |  |
| existingTunnelSecret | string | `nil` |  |
| frontend.pullPolicy | string | `"Always"` |  |
| frontend.repository | string | `"registry.gitlab.com/pleio/frontend"` |  |
| frontend.tag | string | `"latest"` |  |
| image.pullPolicy | string | `"IfNotPresent"` |  |
| image.repository | string | `"registry.gitlab.com/pleio/backend2"` |  |
| image.tag | string | `"latest"` |  |
| ingress.annotations."kubernetes.io/ingress.class" | string | `"nginx"` |  |
| ingress.annotations."nginx.ingress.kubernetes.io/configuration-snippet" | string | `"proxy_force_ranges \"On\";\n"` |  |
| ingress.annotations."nginx.ingress.kubernetes.io/modsecurity-snippet" | string | `"SecRuleEngine On\nSecRule REQUEST_URI \"@beginsWith /graphql\" \"id:1,ctl:ruleEngine=Off\"\nSecRule REQUEST_URI \"@beginsWith /superadmin\" \"id:2,ctl:ruleEngine=Off\"\nSecRuleRemoveById 950000-959999\n"` |  |
| ingress.annotations."nginx.ingress.kubernetes.io/proxy-body-size" | string | `"2050m"` |  |
| ingress.autoAnnotations."cert-manager.io/cluster-issuer" | string | `"letsencrypt-pleio-prod-issuer"` |  |
| ingress.manualAnnotations | string | `nil` |  |
| oidc.clientId | string | `""` |  |
| oidc.clientSecret | string | `""` |  |
| onlineMeetingsUrl | string | `"https://agenda.onlineafspraken.nl/APIREST"` |  |
| rcloneResticApi.enabled | bool | `false` | Enable rclone restic api |
| rcloneResticApi.remote | string | `"endpoint:bucket"` | Rclone endpoint (e.g. s3 bucket) |
| redis.auth.enabled | bool | `false` |  |
| redis.master.persistence.enabled | bool | `false` |  |
| redis.replica.persistence.enabled | bool | `false` |  |
| redis.replica.replicaCount | int | `0` |  |
| requireAuthParam | string | `"a545b94e"` |  |
| restic.enableDailySnapshot | string | `"False"` | Enable daily snapshot |
| s3.accessKey | string | `""` |  |
| s3.bucket | string | `""` |  |
| s3.disableSSLVerify | string | `""` |  |
| s3.endpoint | string | `""` |  |
| s3.secretKey | string | `""` |  |
| secretKey | string | `""` |  |
| storage.backupSize | string | `"1Mi"` |  |
| storage.className | string | `"efs"` |  |
| storage.dataSize | string | `"1Mi"` |  |
| storage.existingBackupStorage | string | `nil` |  |
| storage.existingDataStorage | string | `nil` |  |
| storage.existingTempStorage | string | `nil` |  |
| storage.tmpSize | string | `"1Mi"` |  |
| storage.type | string | `"pvc"` |  |
| tunnel.hostname | string | `nil` |  |
| tunnel.repository | string | `"docker.io/cloudflare/cloudflared"` |  |
| tunnel.secretname | string | `"pleio-beheer.nl"` |  |
| tunnel.tag | string | `"2023.3.0"` |  |
| tunnelCredentials | string | `""` |  |
| vapid.adminEmail | string | `""` |  |
| vapid.privateKey | string | `""` |  |
| vapid.publicKey | string | `""` |  |
| videoCallReserveRoomUrl | string | `"https://videobellen.pleio-test.nl/api/v1/room/"` |  |
| websitesAuto | list | `[]` |  |
| websitesManual | list | `[]` |  |
| websocket.livenessProbe.initialDelaySeconds | int | `20` |  |
| websocket.livenessProbe.periodSeconds | int | `10` |  |
| websocket.livenessProbe.successThreshold | int | `1` |  |
| websocket.livenessProbe.timeoutSeconds | int | `1` |  |
| websocket.readinessProbe.periodSeconds | int | `10` |  |
| websocket.readinessProbe.successThreshold | int | `1` |  |
| websocket.readinessProbe.timeoutSeconds | int | `1` |  |
| websocket.replicaCount | int | `1` |  |
| websocket.resources | object | `{}` |  |
